#!/usr/bin/env bash

logs_usage()
{

    echo "app_name and server_name are mandatory";
    echo "$0 <app_name> <server_name>"
    echo "logs_artifactory liquid1561908268882"
    echo "stern_xray liquid1561908268882"
    echo "get_logs_app kubectl artifactory liquid1561908268882"
}

get_logs_app()
{
    command=$1  # kubectl, stern
    app_name=$2
	server_name=$3

    if [[ -z ${app_name} ]] || [[ -z ${server_name} ]]
    then
        logs_usage
    else

        pod_name="${server_name}-${app_name}-0"
        container_name="${app_name}-app"

        case ${app_name} in
        "artifactory")
            pod_name="${server_name}-${app_name}-primary-0"
            container_name="${app_name}-app"
         ;;
        "xray")
            container_name="${app_name}-server-0"
        ;;
        *)
            echo "App is not supported"
        esac

        case ${command} in
        "kubectl")
            CMD="kubectl -n ${server_name} logs -f ${pod_name} -c ${container_name}"
            echo "${CMD}"
            exec ${CMD}
         ;;
        "stern")
            CMD="stern -n ${server_name} ${server_name}-${app_name}"
            echo "${CMD}"
            exec ${CMD}
        ;;
        *)
            echo "Command is not supported"
        ;;
        esac

	fi
}

logs_artifactory()
{
    server_name=$1
    get_logs_app "kubectl" "artifactory" ${server_name}
}

stern_artifactory()
{
    server_name=$1
    get_logs_app "stern" "artifactory" ${server_name}
}

logs_xray()
{
    server_name=$1
    get_logs_app "kubectl" "xray" ${server_name}
}

stern_xray()
{
    server_name=$1
    get_logs_app "stern" "xray" ${server_name}
}